<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

if (isset($_GET["ap"]))
{
	
	$pagID = $_GET["ap"];	
			
	// pagina
	$q = myquery("SELECT * FROM ".PAGINAS." WHERE enabled=1 AND pagID='".$pagID."'","[var_ap]");
	$row_pag = myfetch($q);
		
		if (IDIOMA_ACTUAL == 0)
		{
			$row_pag["titulo"] = $row_pag["titulo"];
			$row_pag["titulo_sef"] = SEFcompleURL( $row_pag["titulo"] );
			$row_pag["texto"] = salida_gral( $row_pag["texto"] );
		}
		else if (IDIOMA_ACTUAL == 1)
		{
			$row_pag["titulo"] = $row_pag["titulo_1"];
			$row_pag["titulo_sef"] = SEFcompleURL( $row_pag["titulo_1"] );
			$row_pag["texto"] = salida_gral( $row_pag["texto_1"] );
		}
		else if (IDIOMA_ACTUAL == 2)
		{
			$row_pag["titulo"] = $row_pag["titulo_2"];
			$row_pag["titulo_sef"] = SEFcompleURL( $row_pag["titulo_2"] );
			$row_pag["texto"] = salida_gral( $row_pag["texto_2"] );
		}
		else if (IDIOMA_ACTUAL == 3)
		{
			$row_pag["titulo"] = $row_pag["titulo_3"];
			$row_pag["titulo_sef"] = SEFcompleURL( $row_pag["titulo_3"] );
			$row_pag["texto"] = salida_gral( $row_pag["texto_3"] );
		}
		else if (IDIOMA_ACTUAL == 4)
		{
			$row_pag["titulo"] = $row_pag["titulo_4"];
			$row_pag["titulo_sef"] = SEFcompleURL( $row_pag["titulo_4"] );
			$row_pag["texto"] = salida_gral( $row_pag["texto_4"] );
		}
		else if (IDIOMA_ACTUAL == 5)
		{
			$row_pag["titulo"] = $row_pag["titulo_5"];
			$row_pag["titulo_sef"] = SEFcompleURL( $row_pag["titulo_5"] );
			$row_pag["texto"] = salida_gral( $row_pag["texto_5"] );
		}

	
	$row_pag["logADMIN"] = '<div class="admin_info"><a href="javascript:edit(\''.RUTA_INICIO_IMG.'gestor.php?pagID='.$row_pag["pagID"].'\','.CONFIG_5.');" class="admin">'.LEN_55.'</a> | #'.$row_pag["pagID"].'</div>';
	
	
	$salida_canal_paginas = $row_pag;

	// Smarty
	$smarty->assign("salida_canal_paginas", $salida_canal_paginas);
	
}

			
?>